Support

Read sales channels.

GET
/channels

Authorization

PAT commerce.channel:read
AuthorizationBearer <token>

Personal Access Token (PAT). Include as Authorization: Bearer $GODADDY_PAT. Required scopes: commerce.channel:read.

In: header

Scope: commerce.channel:read

Query Parameters

externalChannelId?string
registeredStores.storeId?Id

unique identifier

Match^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
Formatuuid
registeredStores.default?boolean|null
pageSize?integer
Rangevalue <= 100
Default10
page?integer
Rangevalue <= 100
Default1
totalRequired?boolean

When true, the response includes totalItems, totalPages, and a last HATEOAS link. When false (default), those fields and the last link are omitted.

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/channels"
{  "items": [    {      "channelId": "5f6d08bc-455a-4532-98b8-19e2cee51160",      "name": "string",      "type": "RETAIL",      "channelProviderId": "2a6fb5ff-c953-442e-aa39-8649347a8f25",      "externalChannelId": "string",      "subType": "string",      "status": "PENDING_SETUP",      "registeredStores": [        {          "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",          "status": "ENABLED",          "default": false,          "links": [            {              "href": "http://example.com",              "rel": "string",              "title": "string",              "targetMediaType": "string",              "targetSchema": null,              "method": "string",              "submissionMediaType": "application/json",              "submissionSchema": null            }          ],          "createdAt": "stringstringstringst",          "updatedAt": "stringstringstringst"        }      ],      "location": {        "alias": "string",        "address": {          "addressLine1": "string",          "addressLine2": "string",          "addressLine3": "string",          "adminArea4": "string",          "adminArea3": "string",          "adminArea2": "string",          "adminArea1": "string",          "postalCode": "string",          "countryCode": "st",          "addressDetails": {            "streetNumber": "string",            "streetName": "string",            "streetType": "string",            "deliveryService": "string",            "buildingName": "string",            "subBuilding": "string",            "addressType": "s",            "geoCoordinates": {              "longitude": "string",              "latitude": "string"            }          }        },        "contacts": [          {            "type": "FAX",            "phone": {              "countryCode": "str",              "nationalNumber": "string",              "extensionNumber": "string"            }          }        ]      },      "links": [        {          "href": "http://example.com",          "rel": "string",          "title": "string",          "targetMediaType": "string",          "targetSchema": null,          "method": "string",          "submissionMediaType": "application/json",          "submissionSchema": null        }      ],      "createdAt": "stringstringstringst",      "updatedAt": "stringstringstringst"    }  ],  "totalItems": 0,  "totalPages": 0,  "links": [    {      "href": "http://example.com",      "rel": "string",      "title": "string",      "targetMediaType": "string",      "targetSchema": null,      "method": "string",      "submissionMediaType": "application/json",      "submissionSchema": null    }  ]}

Last updated on

How is this guide?